/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.individu;

import java.util.Enumeration;

import org.cocktail.mangue.common.modele.nomenclatures.medical.EOConclusionMedicale;
import org.cocktail.mangue.common.utilities.CocktailIcones;

import com.webobjects.foundation.NSArray;

/**
 *
 * @author  cpinsard
 */
public class SaisieCertificatMedicalView extends javax.swing.JDialog {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7274843962894206085L;

	/** Creates new form TemplateJDialog */
	public SaisieCertificatMedicalView(java.awt.Frame parent,  boolean modal) {
		super(parent, modal);
		initComponents();
		initGui();
	}

	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        btnValider = new javax.swing.JButton();
        btnAnnuler = new javax.swing.JButton();
        jLabel24 = new javax.swing.JLabel();
        jLabel26 = new javax.swing.JLabel();
        tfDateAccident = new javax.swing.JTextField();
        jLabel27 = new javax.swing.JLabel();
        tfDateCertificat = new javax.swing.JTextField();
        popupType = new javax.swing.JComboBox();
        jLabel28 = new javax.swing.JLabel();
        jScrollPane1 = new javax.swing.JScrollPane();
        taConstatation = new javax.swing.JTextArea();
        checkArret = new javax.swing.JCheckBox();
        tfDateArret = new javax.swing.JTextField();
        checkSoins = new javax.swing.JCheckBox();
        tfDateReprise = new javax.swing.JTextField();
        checkSortie = new javax.swing.JCheckBox();
        checkReprise = new javax.swing.JCheckBox();
        tfDateSoins = new javax.swing.JTextField();
        tfHeureSortieAm = new javax.swing.JTextField();
        tfHeureSortiePm = new javax.swing.JTextField();
        jLabel1 = new javax.swing.JLabel();
        viewConclusion = new javax.swing.JPanel();
        jLabel29 = new javax.swing.JLabel();
        tfDateConclusion = new javax.swing.JTextField();
        popupConclusion = new javax.swing.JComboBox();
        jLabel30 = new javax.swing.JLabel();
        checkAti = new javax.swing.JCheckBox();
        tfTauxIncapacite = new javax.swing.JTextField();
        jLabel31 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("CERTIFICAT MEDICAL");
        setResizable(false);

        btnValider.setText("Valider");
        btnValider.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnValiderActionPerformed(evt);
            }
        });

        btnAnnuler.setText("Annuler");
        btnAnnuler.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAnnulerActionPerformed(evt);
            }
        });

        jLabel24.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel24.setText("Type");

        jLabel26.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel26.setText("Accident du");

        tfDateAccident.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateAccident.setToolTipText("Date de l'accident");

        jLabel27.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel27.setText("Date certificat");

        tfDateCertificat.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateCertificat.setToolTipText("Date du certificat");

        popupType.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        popupType.setToolTipText("Type de certificat");

        jLabel28.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel28.setText("Constatation");

        taConstatation.setColumns(20);
        taConstatation.setLineWrap(true);
        taConstatation.setRows(5);
        taConstatation.setToolTipText("Constatations");
        jScrollPane1.setViewportView(taConstatation);

        checkArret.setText("Arrêt de travail");
        checkArret.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        tfDateArret.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateArret.setToolTipText("Date de l'arrêt de travail");

        checkSoins.setText("Soins");
        checkSoins.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        checkSoins.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkSoinsActionPerformed(evt);
            }
        });

        tfDateReprise.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateReprise.setToolTipText("Date de reprise");

        checkSortie.setText("Sortie");
        checkSortie.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        checkSortie.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkSortieActionPerformed(evt);
            }
        });

        checkReprise.setText("Reprise");
        checkReprise.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        checkReprise.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkRepriseActionPerformed(evt);
            }
        });

        tfDateSoins.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateSoins.setToolTipText("Date des soins");

        tfHeureSortieAm.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfHeureSortieAm.setToolTipText("Heure de sortie matin");

        tfHeureSortiePm.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfHeureSortiePm.setToolTipText("Heure de sortie après-midi");

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel1.setText("à");

        viewConclusion.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        jLabel29.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel29.setText("Date ");

        tfDateConclusion.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateConclusion.setToolTipText("Date du certificat");

        popupConclusion.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        popupConclusion.setToolTipText("Type de certificat");

        jLabel30.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel30.setText("CONCLUSION");

        checkAti.setText("Allocation temporaire d'invalidité");

        tfTauxIncapacite.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTauxIncapacite.setToolTipText("Date du certificat");

        jLabel31.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel31.setText("Taux d'incapacité permanente");

        org.jdesktop.layout.GroupLayout viewConclusionLayout = new org.jdesktop.layout.GroupLayout(viewConclusion);
        viewConclusion.setLayout(viewConclusionLayout);
        viewConclusionLayout.setHorizontalGroup(
            viewConclusionLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewConclusionLayout.createSequentialGroup()
                .addContainerGap()
                .add(viewConclusionLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewConclusionLayout.createSequentialGroup()
                        .add(jLabel30, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 73, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(popupConclusion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 355, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewConclusionLayout.createSequentialGroup()
                        .add(jLabel29, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 73, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(viewConclusionLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(checkAti)
                            .add(tfDateConclusion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 99, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(viewConclusionLayout.createSequentialGroup()
                                .add(tfTauxIncapacite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 53, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(jLabel31, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 268, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
                .addContainerGap(74, Short.MAX_VALUE))
        );
        viewConclusionLayout.setVerticalGroup(
            viewConclusionLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewConclusionLayout.createSequentialGroup()
                .add(17, 17, 17)
                .add(viewConclusionLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel30)
                    .add(popupConclusion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(viewConclusionLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel29)
                    .add(tfDateConclusion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(checkAti)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(viewConclusionLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(tfTauxIncapacite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel31))
                .addContainerGap(19, Short.MAX_VALUE))
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(jLabel26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 118, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfDateAccident, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 99, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(jLabel27, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 118, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfDateCertificat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 99, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 63, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(popupType, 0, 242, Short.MAX_VALUE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .addContainerGap(336, Short.MAX_VALUE)
                        .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(jLabel28, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 118, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jScrollPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 412, Short.MAX_VALUE))
                    .add(layout.createSequentialGroup()
                        .add(18, 18, 18)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(layout.createSequentialGroup()
                                .add(checkArret, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 127, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfDateArret, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 99, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(layout.createSequentialGroup()
                                .add(checkSoins, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 127, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfDateSoins, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 99, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(layout.createSequentialGroup()
                                        .add(checkReprise, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 127, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(tfDateReprise, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 99, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(layout.createSequentialGroup()
                                        .add(checkSortie, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 127, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(tfHeureSortieAm, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 99, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfHeureSortiePm, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 99, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .add(157, 157, 157))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .addContainerGap(14, Short.MAX_VALUE)
                        .add(viewConclusion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel26)
                    .add(tfDateAccident, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel27)
                    .add(tfDateCertificat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel24)
                    .add(popupType, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel28)
                    .add(jScrollPane1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(17, 17, 17)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(checkArret)
                    .add(tfDateArret, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(checkSoins)
                    .add(tfDateSoins, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(checkSortie)
                    .add(tfHeureSortieAm, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfHeureSortiePm, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel1))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(checkReprise)
                    .add(tfDateReprise, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(viewConclusion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 60, Short.MAX_VALUE)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(btnValider)
                    .add(btnAnnuler))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-560)/2, (screenSize.height-599)/2, 560, 599);
    }// </editor-fold>//GEN-END:initComponents

	private void btnValiderActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnValiderActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_btnValiderActionPerformed

	private void btnAnnulerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnAnnulerActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_btnAnnulerActionPerformed

        private void checkSoinsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkSoinsActionPerformed
            // TODO add your handling code here:
        }//GEN-LAST:event_checkSoinsActionPerformed

        private void checkSortieActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkSortieActionPerformed
            // TODO add your handling code here:
        }//GEN-LAST:event_checkSortieActionPerformed

        private void checkRepriseActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkRepriseActionPerformed
            // TODO add your handling code here:
        }//GEN-LAST:event_checkRepriseActionPerformed

	/**
	 * @param args the command line arguments
	 */
	public static void main(String args[]) {
		java.awt.EventQueue.invokeLater(new Runnable() {
			public void run() {
				SaisieBonifCongesView dialog = new SaisieBonifCongesView(new javax.swing.JFrame(), true);
				dialog.addWindowListener(new java.awt.event.WindowAdapter() {
					public void windowClosing(java.awt.event.WindowEvent e) {
						System.exit(0);
					}
				});
				dialog.setVisible(true);
			}
		});
	}

    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected javax.swing.JButton btnAnnuler;
    protected javax.swing.JButton btnValider;
    private javax.swing.JCheckBox checkArret;
    private javax.swing.JCheckBox checkAti;
    private javax.swing.JCheckBox checkReprise;
    private javax.swing.JCheckBox checkSoins;
    private javax.swing.JCheckBox checkSortie;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel24;
    private javax.swing.JLabel jLabel26;
    private javax.swing.JLabel jLabel27;
    private javax.swing.JLabel jLabel28;
    private javax.swing.JLabel jLabel29;
    private javax.swing.JLabel jLabel30;
    private javax.swing.JLabel jLabel31;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JComboBox popupConclusion;
    private javax.swing.JComboBox popupType;
    private javax.swing.JTextArea taConstatation;
    protected javax.swing.JTextField tfDateAccident;
    protected javax.swing.JTextField tfDateArret;
    protected javax.swing.JTextField tfDateCertificat;
    protected javax.swing.JTextField tfDateConclusion;
    protected javax.swing.JTextField tfDateReprise;
    protected javax.swing.JTextField tfDateSoins;
    protected javax.swing.JTextField tfHeureSortieAm;
    protected javax.swing.JTextField tfHeureSortiePm;
    protected javax.swing.JTextField tfTauxIncapacite;
    private javax.swing.JPanel viewConclusion;
    // End of variables declaration//GEN-END:variables

    
    public void setConclusions(NSArray liste) {
    	popupConclusion.removeAllItems();
    	popupConclusion.addItem("");
    	for (Enumeration<EOConclusionMedicale> e = liste.objectEnumerator();e.hasMoreElements();)
    		popupConclusion.addItem(e.nextElement());
    }

	private void initGui() {

		setTitle("CERTIFICAT MEDICAL");
		
		popupType.removeAllItems();
		popupType.addItem("");
		popupType.addItem("Initial");
		popupType.addItem("Prolongation");
		popupType.addItem("Rechute");
		popupType.addItem("Final");
		
		btnValider.setIcon(CocktailIcones.ICON_VALID);
		btnAnnuler.setIcon(CocktailIcones.ICON_CANCEL);

	}

	public javax.swing.JButton getBtnAnnuler() {
		return btnAnnuler;
	}

	public void setBtnAnnuler(javax.swing.JButton btnAnnuler) {
		this.btnAnnuler = btnAnnuler;
	}

	public javax.swing.JButton getBtnValider() {
		return btnValider;
	}

	public void setBtnValider(javax.swing.JButton btnValider) {
		this.btnValider = btnValider;
	}

	public javax.swing.JComboBox getPopupType() {
		return popupType;
	}

	public void setPopupType(javax.swing.JComboBox popupType) {
		this.popupType = popupType;
	}

	public javax.swing.JTextField getTfDateAccident() {
		return tfDateAccident;
	}

	public void setTfDateAccident(javax.swing.JTextField tfDateAccident) {
		this.tfDateAccident = tfDateAccident;
	}

	public javax.swing.JTextField getTfDateArret() {
		return tfDateArret;
	}

	public void setTfDateArret(javax.swing.JTextField tfDateArret) {
		this.tfDateArret = tfDateArret;
	}

	public javax.swing.JTextField getTfDateCertificat() {
		return tfDateCertificat;
	}

	public void setTfDateCertificat(javax.swing.JTextField tfDateCertificat) {
		this.tfDateCertificat = tfDateCertificat;
	}

	public javax.swing.JTextField getTfDateReprise() {
		return tfDateReprise;
	}

	public void setTfDateReprise(javax.swing.JTextField tfDateReprise) {
		this.tfDateReprise = tfDateReprise;
	}

	public javax.swing.JTextField getTfHeureSortieAm() {
		return tfHeureSortieAm;
	}

	public void setTfHeureSortieAm(javax.swing.JTextField tfHeureSortieAm) {
		this.tfHeureSortieAm = tfHeureSortieAm;
	}

	public javax.swing.JTextField getTfHeureSortiePm() {
		return tfHeureSortiePm;
	}

	public void setTfHeureSortiePm(javax.swing.JTextField tfHeureSortiePm) {
		this.tfHeureSortiePm = tfHeureSortiePm;
	}

	public javax.swing.JCheckBox getCheckArret() {
		return checkArret;
	}

	public void setCheckArret(javax.swing.JCheckBox checkArret) {
		this.checkArret = checkArret;
	}

	public javax.swing.JCheckBox getCheckReprise() {
		return checkReprise;
	}

	public void setCheckReprise(javax.swing.JCheckBox checkReprise) {
		this.checkReprise = checkReprise;
	}

	public javax.swing.JCheckBox getCheckSoins() {
		return checkSoins;
	}

	public void setCheckSoins(javax.swing.JCheckBox checkSoins) {
		this.checkSoins = checkSoins;
	}

	public javax.swing.JCheckBox getCheckSortie() {
		return checkSortie;
	}

	public void setCheckSortie(javax.swing.JCheckBox checkSortie) {
		this.checkSortie = checkSortie;
	}

	public javax.swing.JTextArea getTaConstatation() {
		return taConstatation;
	}

	public void setTaConstatation(javax.swing.JTextArea taConstatation) {
		this.taConstatation = taConstatation;
	}

	public javax.swing.JTextField getTfDateSoins() {
		return tfDateSoins;
	}
	public void setTfDateSoins(javax.swing.JTextField tfDateSoins) {
		this.tfDateSoins = tfDateSoins;
	}

	public javax.swing.JCheckBox getCheckAti() {
		return checkAti;
	}

	public void setCheckAti(javax.swing.JCheckBox checkAti) {
		this.checkAti = checkAti;
	}

	public javax.swing.JComboBox getPopupConclusion() {
		return popupConclusion;
	}

	public void setPopupConclusion(javax.swing.JComboBox popupConclusion) {
		this.popupConclusion = popupConclusion;
	}

	public javax.swing.JTextField getTfDateConclusion() {
		return tfDateConclusion;
	}

	public void setTfDateConclusion(javax.swing.JTextField tfDateConclusion) {
		this.tfDateConclusion = tfDateConclusion;
	}

	public javax.swing.JTextField getTfTauxIncapacite() {
		return tfTauxIncapacite;
	}

	public void setTfTauxIncapacite(javax.swing.JTextField tfTauxIncapacite) {
		this.tfTauxIncapacite = tfTauxIncapacite;
	}

	public javax.swing.JPanel getViewConclusion() {
		return viewConclusion;
	}

	public void setViewConclusion(javax.swing.JPanel viewConclusion) {
		this.viewConclusion = viewConclusion;
	}

}
